Skip to main content

January 23, 2026

· 5 min read

GET /customer_membership_holds/{id}/payment_resolution

  • the 'reactivation_billing_period' response's property type/format changed from 'object'/'' to ''/'' for status '200'
  • the 'resolution' response's property type/format changed from 'object'/'' to ''/'' for status '200'
  • the 'start_billing_period' response's property type/format changed from 'object'/'' to ''/'' for status '200'
  • added the new 'days' enum value to the 'prorate_strategy' response property for the response status '200'
  • added the new 'usage' enum value to the 'prorate_strategy' response property for the response status '200'
  • the response optional property 'prorate_strategy' became read-only for the status '200'
  • the response optional property 'reactivation_billing_period' became read-only for the status '200'
  • the response optional property 'resolution' became read-only for the status '200'
  • the response optional property 'start_billing_period' became read-only for the status '200'
  • added '#/components/schemas/ReactivationBillingPeriod' to the 'reactivation_billing_period' response property 'allOf' list for the response status '200'
  • added '#/components/schemas/Resolution' to the 'resolution' response property 'allOf' list for the response status '200'
  • added '#/components/schemas/StartBillingPeriod' to the 'start_billing_period' response property 'allOf' list for the response status '200'
  • the response property 'prorate_strategy' became required for the status '200'
  • the response property 'reactivation_billing_period' became required for the status '200'
  • the response property 'resolution' became required for the status '200'
  • the response property 'start_billing_period' became required for the status '200'
View updated docs

POST /fees_calculator

  • removed the required property 'results' from the response with the '200' status
  • added the required property 'fee_line_items' to the response with the '200' status
  • added the required property 'post_tax_price' to the response with the '200' status
  • added the required property 'pre_tax_price' to the response with the '200' status
View updated docs

GET /checkouts

  • added the optional property 'results/items/fee_line_items' to the response with the '200' status
View updated docs

POST /checkouts

  • added the optional property 'fee_line_items' to the response with the '201' status
View updated docs

GET /checkouts/{id}

  • added the optional property 'fee_line_items' to the response with the '200' status
View updated docs

PATCH /checkouts/{id}

  • added the optional property 'fee_line_items' to the response with the '200' status
View updated docs

PUT /checkouts/{id}

  • added the optional property 'fee_line_items' to the response with the '200' status
View updated docs

POST /checkouts/{id}/add_item

  • added the optional property 'fee_line_items' to the response with the '200' status
View updated docs

GET /purchase_fees

  • added the required property 'results/items/id' to the response with the '200' status
View updated docs

GET /purchase_fees/{id}

  • added the required property 'id' to the response with the '200' status
View updated docs